# Packmangroup: Multimedia
# Packmanpackagename: python-sqlite2
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>This packages allows you to use sqlite with python. sqlite is a simple database engine.</p>
# Packmanpackagedesc_de: <p>Dieses Paket erlaubt es Ihnen, sqlite von python aus zu nutzen. Sqlite ist eine einfache Datenbank.</p>

%define sqlite3	sqlite

Name:           python-sqlite2
Summary:        Python bindings for sqlite
Summary(de):    Python anbindung zu sqlite
License:        GPL
Group:          Development/Libraries/Python
URL:            http://initd.org/tracker/pysqlite
Version:        2.4.1
Release:        2.pm.3.1

Source0:        pysqlite-2.4.1.tar.bz2

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
BuildRoot:      %{_tmppath}/%{name}-root
Requires:       python >= %{py_ver}
Requires:       %{sqlite3}
BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  %{sqlite3}
BuildRequires:  %{sqlite3}-devel

%description
This packages allows you to use sqlite with python.
sqlite is a simple database engine.

%description -l de
Dieses Paket erlaubt es Ihnen, sqlite von python aus zu nutzen.
Sqlite ist eine einfache Datenbank.

%prep
%setup -q -n pysqlite-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
%{__python} ./setup.py build

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
[ "%{buildroot}" != "/" ] && %{__rm} -rf installed-docs
mkdir %{buildroot}
%{__python} ./setup.py install --root="%{buildroot}"
if [ -d "%{buildroot}%{_prefix}/local" ]; then
  %{__mv} %{buildroot}%{_prefix}/local/pysqlite2-doc/ installed-docs
  %{__mv} %{buildroot}%{_prefix}/local/* %{buildroot}%{_prefix}/
  %{__rm} -rf %{buildroot}%{_prefix}/local
else
  %{__mv} %{buildroot}%{_prefix}/pysqlite2-doc/ installed-docs
fi

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc installed-docs/*
%{py_sitedir}/*

%changelog
* Fri May  7 2010 lars@linux-schulserver.de
- move Group to Development/Libraries/Python
* Sat Mar  6 2010 lars@linux-schulserver.de
- update to 2.6.0
  + Added iteration and equality (hashability).
    This method returns a tuple of column names. Immediately after
    a query, it is the first member of each tuple in
    :attr:`Cursor.description`.
* Tue May 12 2009 lars@linux-schulserver.de
- update to 2.5.5
  + Python compatibility fixes
  + Only reset cursors after rollback, not after commit. Fixes
    problem where an implicity commit by a PRAGMA statement
    invalidated the cursor
  + Connection.enable_load_extension(enabled) to allow/disallow
    extension loading.
  + Fixed check if non-UTF8 strings are acceptable input.
  + For better DB-API compliance, operations on closed cursors now
    raise exceptions.
  + made .connect(..., isolation_level=None) work again.
  [#]## NOT READY YET ###
* Sun May 11 2008 lars@linux-schulserver.de
- update to 2.4.1
* Wed Oct 10 2007 lrupp@suse.de
- Update to 2.3.5:
  + Using mappings and sequences as parameters works now too.
  + implicit ROLLBACKs work now
  + Performance optimizations that pay off especially for mass DML
    operations
  + A Python 2.3 compatibility fix in the test suite.
* Tue Jul  3 2007 lrupp@suse.de
- Update to 2.3.4:
  + Under some circumstances it's was not possible to close the
    connection object. This happened if you still had cursor objects
    around with statements that were no longer in the cached
    statements pool. This was fixed by finalizing all statements
    that were created from the connection instead of only those
    that are still found in the connection pool.
  + SQLite often does not report useful error messages when the
    stepped-on statement was not reset first.
    Now we make sure that's always the case.
  + Merged missing corrections for sample code from Python
    core version.
  + Allow the size parameter for fetchmany() for better DB-API
    compliance.
  + Applied patch from #184. This defers the implicit
    BEGINs/COMMITs and thus improves concurrency.
  + Print a warning if somebody tries to run the pysqlite test
    suite from the pysqlite root directory and exit.
- remove the install-source* files: this is done via installing
  the rpm already
* Sun Feb 25 2007 lrupp@suse.de
- specfile cleanup
* Thu Jan 18 2007 judas_iscariote@shorewall.net
- update to 2.3.3
- build with -fno-strict-aliasing otherwise gcc complains
- deactivate unneeded patch
* Thu Dec  7 2006 lrupp@suse.de
- Initial package for the build service
